Returns list of Stripe cards

This API is used to return a list of Stripe cards like last, expmonth, expyear, defaultCard and many more. This API gets executed successfully when the user has super admin and sales admin access otherwise it will throw a "not super admin" error. To get this API we need to pass Authentication key and pass eventUrl, userId as path parameter.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here are the possible error messages, which return if any condition gets failed or required data is missing for processing.

Error codeError Description
4040100User Not Found
40600013Can't Create URL
4040200Event Not Found

Here is the description of response attributes, which returns to the form of JSON.

AttributeDescription
idThis contains the Stripe card id.
last4This contains the last four digits of the connected Stripe card.
expmonthThis describes the expiration month of the connected Stripe card.
expyearThis describes the card expiration year.
defaultCardThis returns a boolean value referring to whether it is the current default card.
cardTypeThis returns the card type.
Path Params
string
required

It contains event url which is unique

int32
required

It contain user id which is unique

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain